This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 49868 - glx software crashes XFree 4.1.0 with MGA G400
glx software crashes XFree 4.1.0 with MGA G400
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-24 14:15 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-24 14:15:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-24 14:15:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2+) Gecko/20010703

Description of problem:
I upgraded my xserver with the 4.1.0 rawhide RPMs, there was a broken
dependency on "Mesa >= 3:3.4.2-3", 3:3.4.2-3 doesnt exist, and there was no
Mesa 3.4.2-3 either so I used the latest in rawhide, 3.4.2-2, and forced it
with --nodeps.

Now, running any glx program (including glxinfo) causes the X server to   
     crash with a sig 11.

How reproducible:
Always

According to ldd, glxinfo links against:
        libGLU.so.1 => /usr/lib/libGLU.so.1 (0x40023000)
        libGL.so.1 => /usr/lib/libGL.so.1 (0x40037000)
        libc.so.6 => /lib/i686/libc.so.6 (0x40205000)
        libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x4033e000)
        libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x40347000)
        libXmu.so.6 => /usr/X11R6/lib/libXmu.so.6 (0x4035f000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x40375000)
        libXi.so.6 => /usr/X11R6/lib/libXi.so.6 (0x40383000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x4038b000)
        libdl.so.2 => /lib/libdl.so.2 (0x40469000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
        libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x4046d000)
Comment 1 Mike A. Harris 2001-07-24 18:03:35 EDT
No, there very much is not a broken dependancy on Mesa.  The
dependancy is correct.  You *MUST* use Mesa 3:3.4.2-3 or you will
have all sorts of problems.  Why it doesn't show up in rawhide I
do not know, but the package definitely is in our internal code and
is required.  I will ask about it internally and make sure the package gets
pushed into rawhide if it is not.
Comment 2 Need Real Name 2001-07-26 06:02:15 EDT
What is the correct filename?

ls *[Mm]esa* in ftp.redhat.com:~/redhat/linux/rawhide/i386/RedHat/RPMS
only shows version 3.4.2-2

Thanks,
   Steve

Note You need to log in before you can comment on or make changes to this bug.